function f = decay(t,x)
%
% Calculates rhs of the following systems of ODEs
% dx/dt = -r1*x
% dy/dt = -r2*y + r1*x
%
% with r1 = 0.256 hr-1
% and  r2 = 0.127 hr-1
%
% (t is in hours)
%
r1 = 0.256;
r2 = 0.127;
f=zeros(2,1);
f(1) = -r1*x(1);
f(2) = -r2*x(2)+r1*x(1);
